fuss-manager - Segnalazione #789

Integrazione in octonet
04/03/2019 11:33 AM - Enrico Zini

Status: Chiuso Start date: 10/23/2019

Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 0.8.1 Pacchettizzazione

Resolution: fixed

Description

Aggiungere a octonet la possibilita di mostrare/proxare l'interfaccia di fuss-manager

Subtasks:

Segnalazione # 915: Passare |'autenticazione da octonet a fuss-manager Chiuso
Related issues:

Related to fuss-manager - Segnalazione #799: Autenticazione e autorizzazione Chiuso 04/30/2019

History

#1 - 05/13/2019 11:17 AM - Elena Grandi

- Assignee set to Enrico Zini

#2 - 05/14/2019 01:02 PM - Enrico Zini

Primo caveat: octonet fa cache delle applicazioni disponibili nella session di django. Se si fa ripartire octonet e non compare fussmanager nella

sidebar, fare logout e login per ricalcolare I'elenco delle app nella sessione

#3 - 05/14/2019 01:11 PM - Enrico Zini

- Status changed from Nuovo to In elaborazione

- Assignee changed from Enrico Zini to Elena Grandi

- Resolution set to fixed

Ho aggiunto due opzioni di configurazione a octonet:

FUSS_MANAGER_URL (default: http://localhost:8888)

FUSS_MANAGER_PATH (default: /usr/bin/fuss-manager)

Se os.path.exists(FUSS_MANAGER_PATH) allora si attiva "Fuss Manager" nella sidebar di octonet, che manda a un iframe con dentro fuss

manager.

Con questo dovrebbe esserci tutto.

#4 - 05/14/2019 01:12 PM - Enrico Zini

(tutto committato nel branch t789 di octonet)

#5 - 05/15/2019 12:07 PM - Elena Grandi
- Status changed from In elaborazione to Chiuso

- Assignee changed from Elena Grandi to Enrico Zini

Mergiato in master, testato e pubblicato il pacchetto su archive.fuss.bz.it.

#6 - 05/15/2019 03:27 PM - Elena Grandi
- Related to Segnalazione #799: Autenticazione e autorizzazione added
